JNA API 3.3.0

## com.sun.jna
Class Structure.StructField

    java.lang.Object
      com.sun.jna.Structure.StructField

Enclosing class:
  Structure

     class Structure.StructField

extends Object

Field Summary
`FromNativeContext` | `context`
`Field` | `field`
`boolean` | `isReadOnly`
`boolean` | `isVolatile`
`String` | `name`
`int` | `offset`
`FromNativeConverter` | `readConverter`
`int` | `size`
`Class` | `type`
`ToNativeConverter` | `writeConverter`

Constructor Summary
`Structure.StructField()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

### type

    public Class type

### field

    public Field field

### size

    public int size

### offset

    public int offset

### isVolatile

    public boolean isVolatile

### isReadOnly

    public boolean isReadOnly

### readConverter

    public FromNativeConverter readConverter

### writeConverter

    public ToNativeConverter writeConverter

### context

    public FromNativeContext context

Constructor Detail

### Structure.StructField

    Structure.StructField()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.